## Introduction to Open Peer

* Open Peer Overview Video: http://hookflash.com/open-peer/
* Open Peer Specification: http://openpeer.org

Open Peer is a peer-to-peer signalling protocol taking advantages of the IETF advances of firewall penetration techniques for moving media and adds a layer to performs the media signalling in a peer-to-peer fashion but does expect that a minimal requirement of rendezvous servers exist. Beyond the initial rendezvous to get past firewalls, the servers should drop out of the protocol flow and are no longer required.

Open Peer was designed with these main goals in mind:

* Openness – a protocol is freely available for anyone to implement.
* Greater network resilience – peers can continue to function and inter-operate even if servers are down.
* Increased privacy and security – peers communicate directly in a secure fashion designed to protect against network ease dropping, forged communication or spying by 3rd parties or being a convenient data mining target for hackers as the information does not flow through centralized servers.
* Federation – the protocol makes it easy for users on one service to communicate with users on another independent service offering.
* Identity protection – the ability of users to easily provide proof of their identity using existing social platforms while protecting these identities from spoofed by others.
* Decreased cost – without the need to continuously relay signalling or media through centralized servers, the costs to host, administer, relay, replicate, process and store data on servers while providing 5 9s uptime is decreased.
* WebRTC enabling protocol – designed to be the engine that allows WebRTC to function, supporting federation of independent websites and services, provide security and online identity protection and validation, and peer-to-peer signalling bypassing the need for heavy cloud based infrastructure.
* Scalability – whether starting at 50 users or moving beyond 5,00,000 users, the protocol is designed to allow for easy scalability by removing the complexity of communications out of the servers.

## License

Copyright (c) 2013, SMB Phone Inc. All rights reserved.
<br /><br />
Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
<br /><br />
1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
<br />
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
<br /><br />
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
<br /><br />
The views and conclusions contained in the software and documentation are those of the authors and should not be interpreted as representing official policies, either expressed or implied, of the FreeBSD Project.
<br /><br />
Support or Contact
<br />
Erik Lagerway<br />
erik@hookflash.com<br />
1-855-Hookflash ext.2<br />
(IRC channel coming)<br />
